/* Sets up the subpage boundaries according to the current subpage  */
/* selected */

#include "plplot.h"

void setsub()
{
      int ix, iy;
      int nsubx, nsuby, cursub;
      float spdxmi, spdxma, spdymi, spdyma;
      int sppxmi, sppxma, sppymi, sppyma;

      gsub(&nsubx,&nsuby,&cursub);
      ix = (cursub-1)%nsubx;
      iy = nsuby - (cursub-1)/nsubx;

      spdxmi = (float)(ix)/(float)(nsubx);
      spdxma = (float)(ix+1)/(float)(nsubx);
      spdymi = (float)(iy-1)/(float)(nsuby);
      spdyma = (float)(iy)/(float)(nsuby);
      sspd(spdxmi,spdxma,spdymi,spdyma);

      sppxmi = dcpcx(spdxmi);
      sppxma = dcpcx(spdxma);
      sppymi = dcpcy(spdymi);
      sppyma = dcpcy(spdyma);
      sspp(sppxmi,sppxma,sppymi,sppyma);

      sclp(sppxmi,sppxma,sppymi,sppyma);
      
}
